## cockpit 329

=== debian/changelog ===
cockpit (329-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Nov 2024 15:31:57 +0100

cockpit (329-1) unstable; urgency=medium

  * New upstream release:
    - Shell: Extra warnings when connecting to remote hosts

 -- Martin Pitt <mpitt@debian.org>  Wed, 20 Nov 2024 16:12:31 +0100
