## cockpit 330

=== debian/changelog ===
cockpit (330-4) unstable; urgency=medium

  * autopkgtest: Drop unit start test with LXC on Debian 12.
    The attempted workaround does not suffice with LXC 5 on Debian 12 any
    more (see #1073815). The units fail with "Failed to update dynamic user
    credentials: Permission denied". Also, this was becoming ridiculous, and
    not really testing the package any more.
    Give up and skip that part of the text under these conditions. It will
    still run in QEMU runners (such as in Ubuntu or some Debian
    architectures).

 -- Martin Pitt <mpitt@debian.org>  Tue, 10 Dec 2024 11:11:50 +0000

cockpit (330-3) unstable; urgency=medium

  * autopkgtest: Fix LXC DynamicUser hack

 -- Martin Pitt <mpitt@debian.org>  Tue, 10 Dec 2024 07:16:59 +0000

cockpit (330-2) unstable; urgency=medium

  * autopkgtest: Adjust workaround for LXC bug.
    Cockpit 330 changes the systemd unit structure wrt. DynamicUser=. The
    LXC bug is still present, so bring back the hack and adjust it to the
    current dynamic users.
  * Declare file conflict with cockpit-tests.
    cockpit-session.socket moved from -tests to -ws in 330. (Closes: #1089220)

 -- Martin Pitt <mpitt@debian.org>  Mon, 09 Dec 2024 11:46:17 +0000

cockpit (330-1) unstable; urgency=medium

  * New upstream release:
    - Web server: Increased sandboxing, setuid removal, bootc support
    - Development: New install mode using systemd-sysext

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Dec 2024 13:58:53 +0100
