## cockpit 331

=== debian/changelog ===
cockpit (331-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Dec 2024 03:27:04 +0000

cockpit (331-1) unstable; urgency=medium

  * New upstream release:
    - ws: Prevent search engine indexing with robots.txt
    - Drop cockpit-tests binary package

 -- Martin Pitt <mpitt@debian.org>  Wed, 18 Dec 2024 11:42:34 +0000
