=== debian/control ===
--- 
+++ 
@@ -63,8 +63,7 @@
          ${python3:Depends},
          glib-networking
 Recommends: openssh-client
-Breaks: cockpit-ws (<< 181.x),
-Replaces: cockpit-dashboard (<< 170.x), cockpit-ws (<< 181.x), cockpit-pcp (<< 236)
+Replaces: cockpit-pcp (<< 236)
 Provides: cockpit-pcp
 Conflicts: cockpit-pcp
 Suggests: python3-pcp
@@ -133,27 +132,10 @@
           cockpit-systemd,
           cockpit-tuned,
           cockpit-users
-Conflicts: cockpit-shell
-Breaks: cockpit-dashboard
-Replaces: cockpit-shell, cockpit-dashboard
 Suggests: lastlog2
 Description: Cockpit admin interface for a system
  Cockpit admin interface package for configuring and
  troubleshooting a system.
-
-Package: cockpit-tests
-Architecture: any
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         cockpit-system (>= ${source:Version}),
-         openssh-client
-Conflicts: cockpit-test-assets
-Replaces: cockpit-test-assets
-Provides: cockpit-test-assets
-Description: Tests for Cockpit
- This package contains tests and files used while testing Cockpit.
- These files are not required for running Cockpit.
 
 Package: cockpit-ws
 Architecture: any
@@ -166,8 +148,8 @@
          libnss-systemd,
 Suggests: sssd-dbus (>= 2.6.2),
          python3,
-Conflicts: cockpit-tests (<< 330)
-Replaces: cockpit-tests (<< 330)
+Conflicts: cockpit-tests (<< 331)
+Replaces: cockpit-tests (<< 331)
 Description: Cockpit Web Service
  The Cockpit Web Service listens on the network, and authenticates
  users.
