## cockpit 332

=== debian/changelog ===
cockpit (332-1) unstable; urgency=medium

  * New upstream release:
    - containers/ws: Include cockpit-files
    - login: Beibooting to all supported OSes
    - metrics: Show system boots in metrics

 -- Martin Pitt <mpitt@debian.org>  Thu, 30 Jan 2025 18:54:31 +0000
