## cockpit 333

=== debian/changelog ===
cockpit (333-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 13 Feb 2025 09:37:49 +0000
