=== debian/control ===
--- 
+++ 
@@ -61,7 +61,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${python3:Depends},
-         glib-networking
 Recommends: openssh-client
 Replaces: cockpit-pcp (<< 236)
 Provides: cockpit-pcp
