## cockpit 334

=== debian/changelog ===
cockpit (334-1) unstable; urgency=medium

  * New upstream release:
    - Don't call sudo automatically three times (RHEL-32834)

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Feb 2025 09:37:46 +0000
