## cockpit 335

=== debian/changelog ===
cockpit (335-2) unstable; urgency=medium

  * Fix --build={all,any} FTBFS. cockpit-bridge moved to "Architecture: all",
    adjust the pytest invocation accordingly.

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Mar 2025 15:49:56 +0100

cockpit (335-1) unstable; urgency=medium

  * New upstream release:
    - storage: SMART support

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Mar 2025 14:27:08 +0100
