=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                procps <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
                python3-pytest-timeout <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://cockpit-project.org/
 Vcs-Git: https://salsa.debian.org/utopia-team/cockpit.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/cockpit
@@ -57,9 +57,8 @@
  troubleshooting, interactive command-line sessions, and more.
 
 Package: cockpit-bridge
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
          ${python3:Depends},
 Recommends: openssh-client
 Replaces: cockpit-pcp (<< 236)
