## cockpit 336

=== debian/changelog ===
cockpit (336-1) unstable; urgency=medium

  * New upstream release:
    - storage: Implement deletion of multi-device btrfs
    - Add a channel capabilities system

 -- Martin Pitt <mpitt@debian.org>  Mon, 24 Mar 2025 08:20:30 +0100
