## cockpit 337

=== debian/changelog ===
cockpit (337-1) unstable; urgency=medium

  * New upstream release:
    - Upgraded to Patternfly 6
    - Support "dnf needs-restarting"

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Apr 2025 14:11:05 +0000
