=== debian/control ===
--- 
+++ 
@@ -160,7 +160,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          cockpit-bridge (>= ${source:Version}),
-         sosreport
+         sos | sosreport
 Description: Cockpit user interface for diagnostic reports
  The Cockpit component for creating diagnostic reports with the
  sosreport tool.
