=== debian/rules ===
--- 
+++ 
@@ -76,8 +76,7 @@
 	# avoid dh_missing failure
 	rm -r debian/tmp/usr/lib/python*
 
-# run pytests *after* installation, so that we can make sure that we installed the right files
-execute_after_dh_install-arch:
+	# run pytests *after* installation, so that we can make sure that we installed the right files
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 ifeq ($(shell . /etc/os-release; echo $${VERSION_ID:-unstable}),22.04)
 	NO_QUNIT=1 PYTHONPATH=$$(ls -d debian/cockpit-bridge/usr/lib/python3*/dist-packages) python3 -m pytest -vv -k 'not linter and not test_descriptions'
