## cockpit 338

=== debian/changelog ===
cockpit (338-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 May 2025 12:04:37 +0000
