## cockpit 339

=== debian/changelog ===
cockpit (339-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Sun, 25 May 2025 12:48:23 +0200

cockpit (339-1) experimental; urgency=medium

  * New upstream release:
    - Storage: Disk Self-Test error warnings on the overview page
    - Bug fixes and translation updates

 -- Martin Pitt <mpitt@debian.org>  Thu, 22 May 2025 05:22:12 +0000
