## cockpit 340

=== debian/changelog ===
cockpit (340-1) experimental; urgency=medium

  * New upstream bug fix release:
    - Storage: Prevent modifying partitions in unsupported places
    - debian/control: Add libcrypt-dev to Build-Depends (Closes: #1106947)

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Jun 2025 05:29:17 +0200
