## cockpit 341.1

=== debian/changelog ===
cockpit (341.1-1) experimental; urgency=medium

  * New upstream release:
   - services: show link to podman page for quadlets

 -- Martin Pitt <mpitt@debian.org>  Sat, 28 Jun 2025 07:53:09 +0200
