## cockpit 342

=== debian/changelog ===
cockpit (342-1) experimental; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Jul 2025 10:54:56 +0200
