## cockpit 343

=== debian/changelog ===
cockpit (343-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Thu, 31 Jul 2025 08:54:55 +0200

cockpit (343-1) experimental; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 28 Jul 2025 07:02:09 +0200
