## cockpit 345

=== debian/changelog ===
cockpit (345-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Thu, 28 Aug 2025 09:35:04 +0000

cockpit (345-1) unstable; urgency=medium

  * New upstream release:
   - Shorter IPv6 addresses
   - IPv6 addresses for WireGuard

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 Aug 2025 08:33:04 +0000
