## cockpit 346

=== debian/changelog ===
cockpit (346-1) unstable; urgency=medium

  * New upstream release:
    - Support branding Cockpit pages
    - Storage: Support for Stratis "V2" pools

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Sep 2025 13:11:35 +0000
