=== debian/control ===
--- 
+++ 
@@ -6,26 +6,27 @@
            Martin Pitt <mpitt@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               docbook-xsl,
                gettext (>= 0.21),
-               zlib1g-dev,
-               libkrb5-dev (>= 1.11),
-               libxslt1-dev,
+               glib-networking,
+               libcrypt-dev,
                libglib2.0-dev (>= 2.50),
                libgnutls28-dev (>= 3.4.3) | gnutls-dev,
+               libjson-glib-dev,
+               libkrb5-dev (>= 1.11),
+               libpam0g-dev,
+               libpolkit-agent-1-dev,
                libsystemd-dev (>= 235),
-               libpolkit-agent-1-dev,
-               libjson-glib-dev,
-               libpam0g-dev,
+               libxslt1-dev,
                pkgconf,
-               systemd-dev | systemd (<< 253-2~),
-               xsltproc,
-               xmlto,
-               docbook-xsl,
-               glib-networking,
                python3,
                python3-pip,
                python3-setuptools,
                python3-wheel,
+               systemd-dev | systemd (<< 253-2~),
+               xmlto,
+               xsltproc,
+               zlib1g-dev,
                openssh-client <!nocheck>,
                procps <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
