## cockpit 348

=== debian/changelog ===
cockpit (348-1) unstable; urgency=medium

  * New upstream release:
    - Site-specific branding support

 -- Martin Pitt <mpitt@debian.org>  Thu, 02 Oct 2025 21:22:57 +0200
