## cockpit 350

=== debian/changelog ===
cockpit (350-1) unstable; urgency=medium

  * New upstream release:
    - Package manifests: Add `any` test
    - networking: Fix renaming of bridges and other groups
    - bridge: Fix OpenSSH_10.2p1 host key detection

 -- Martin Pitt <mpitt@debian.org>  Fri, 31 Oct 2025 11:45:49 +0100
