=== debian/control ===
--- 
+++ 
@@ -116,7 +116,8 @@
 Description: Cockpit user interface for storage
  The Cockpit components for interacting with storage.
  .
- Install udisks2-lvm2 if you use LVM and want to manage it with Cockpit.
+ Install udisks2-lvm2 or udisks2-btrfs if you have LVM/btrfs devices and want
+ to manage them with Cockpit.
 
 Package: cockpit-system
 Architecture: all
@@ -155,6 +156,11 @@
  .
  Install sssd-dbus for supporting client certificate/smart card authentication
  via sssd/FreeIPA.
+ .
+ Install python3 for running cockpit-desktop. That presents Cockpit in a
+ WebKit view or a web browser without having to run cockpit.service. That
+ feature additionally needs either gir1.2-webkit2-* or a web browser
+ installed.
 
 Package: cockpit-sosreport
 Architecture: all
