## cockpit 352

=== debian/changelog ===
cockpit (352-1~bpo24.04.1) noble-backports; urgency=medium

  * No-change backport to noble

 -- Martin Pitt <mpitt@debian.org>  Sat, 29 Nov 2025 09:23:14 +0100

cockpit (352-1) unstable; urgency=medium

  * New upstream release:
    - Firewall ports can be deleted individually
    - Shown a warning if the last shutdown/reboot was unclean

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Nov 2025 11:03:14 +0100
