## cockpit 353.1

=== debian/changelog ===
cockpit (353.1-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Dec 2025 06:11:59 +0000

cockpit (353.1-1) unstable; urgency=medium

  * New upstream release:
    - Networking: Suggest prefix length and gateway address
    - Drop symlinks to non-existing Arch logos in Debian packaging
      (Closes: #1121456)
  * debian/watch: Add extra upstream release node tarball

 -- Martin Pitt <mpitt@debian.org>  Mon, 15 Dec 2025 10:38:13 +0000
