## cockpit 354

=== debian/changelog ===
cockpit (354-1) unstable; urgency=medium

  * New upstream release:
    - Convert documentation to AsciiDoc
    - Work around Firefox 146/147 bug
    - Bug fixes

 -- Martin Pitt <mpitt@debian.org>  Wed, 07 Jan 2026 13:10:16 +0100
