=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: asciidoctor,
+               debhelper-compat (= 13),
                dh-python,
                docbook-xsl,
+               esbuild [amd64 arm64 armhf i386 ppc64 ppc64el riscv64 s390x],
                gettext (>= 0.21),
                glib-networking,
                libcrypt-dev,
@@ -17,21 +19,19 @@
                libpam0g-dev,
                libpolkit-agent-1-dev,
                libsystemd-dev (>= 235),
-               libxslt1-dev,
+               nodejs [amd64 arm64 armhf i386 ppc64 ppc64el riscv64 s390x],
                pkgconf,
                python3,
                python3-pip,
                python3-setuptools,
                python3-wheel,
                systemd-dev | systemd (<< 253-2~),
-               xmlto,
-               xsltproc,
                zlib1g-dev,
                openssh-client <!nocheck>,
                procps <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
                python3-pytest-timeout <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://cockpit-project.org/
 Vcs-Git: https://salsa.debian.org/utopia-team/cockpit.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/cockpit
@@ -144,7 +144,6 @@
          glib-networking,
          adduser,
          openssl,
-         systemd (>= 235),
          libnss-systemd,
 Suggests: sssd-dbus (>= 2.6.2),
          python3,
