## cockpit 355

=== debian/changelog ===
cockpit (355-1~bpo13+1) trixie-backports; urgency=medium

  * No-change backport to Debian Trixie

 -- Martin Pitt <mpitt@debian.org>  Sat, 31 Jan 2026 09:13:42 +0100

cockpit (355-1) unstable; urgency=medium

  * New upstream release:
    - ws: Remove obsolete pam_cockpit_cert module
    - shell: add StartTransientUnit as a sudo alternative
  * Only rebuild bundles during arch specific builds. Move nodejs and esbuild
    to Build-Depends-Indep. (Closes: #1126258)
  * Drop obsolete docbook-xsl build dependency.

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Jan 2026 10:26:21 +0100
