## cockpit 356

=== debian/changelog ===
cockpit (356-1) unstable; urgency=medium

  * New upstream release:
    - systemd: Allow editing timers created by Cockpit
    - Convert license headers to SPDX format

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Feb 2026 15:57:20 +0100
