=== debian/control ===
--- 
+++ 
@@ -7,19 +7,16 @@
 Build-Depends: asciidoctor,
                debhelper-compat (= 13),
                dh-python,
-               docbook-xsl,
-               esbuild [amd64 arm64 armhf i386 ppc64 ppc64el riscv64 s390x],
                gettext (>= 0.21),
                glib-networking,
                libcrypt-dev,
-               libglib2.0-dev (>= 2.50),
+               libglib2.0-dev (>= 2.68),
                libgnutls28-dev (>= 3.4.3) | gnutls-dev,
                libjson-glib-dev,
                libkrb5-dev (>= 1.11),
                libpam0g-dev,
                libpolkit-agent-1-dev,
                libsystemd-dev (>= 235),
-               nodejs [amd64 arm64 armhf i386 ppc64 ppc64el riscv64 s390x],
                pkgconf,
                python3,
                python3-pip,
@@ -31,6 +28,8 @@
                procps <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
                python3-pytest-timeout <!nocheck>,
+Build-Depends-Indep: esbuild,
+                     nodejs,
 Standards-Version: 4.7.3
 Homepage: https://cockpit-project.org/
 Vcs-Git: https://salsa.debian.org/utopia-team/cockpit.git
@@ -141,13 +140,12 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         glib-networking,
          adduser,
          openssl,
          libnss-systemd,
 Suggests: sssd-dbus (>= 2.6.2),
          python3,
-Conflicts: cockpit-tests (<< 331)
+Conflicts: cockpit-tests
 Replaces: cockpit-tests (<< 331)
 Description: Cockpit Web Service
  The Cockpit Web Service listens on the network, and authenticates
