=== debian/watch ===
--- 
+++ 
@@ -10,9 +10,3 @@
 Matching-Pattern: https://github.com/cockpit-project/@PACKAGE@/releases/download/\d[\.\d]*/@PACKAGE@-node-@ANY_VERSION@.tar.xz
 Filenamemangle: s/.+\/@PACKAGE@-node-@ANY_VERSION@.tar.gz/@PACKAGE@-$1\.tar\.xz/
 Searchmode: plain
-
-opts="searchmode=plain, \
-component=node, \
-filenamemangle=s/.+\/@PACKAGE@-node-@ANY_VERSION@.tar.gz/@PACKAGE@-$1\.tar\.xz/" \
-https://api.github.com/repos/cockpit-project/@PACKAGE@/releases \
-https://github.com/cockpit-project/@PACKAGE@/releases/download/\d[\.\d]*/@PACKAGE@-node-@ANY_VERSION@.tar.xz
